## nuscratch 20210331

=== debian/changelog ===
nuscratch (20210331) buster; urgency=medium

  * asdf

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 31 Mar 2021 11:43:53 +0100

nuscratch (20190425) buster; urgency=medium

  * Update dependencies for buster

 -- Serge Schneider <serge@raspberry.org>  Thu, 25 Apr 2019 15:15:13 +0100

nuscratch (20170112) jessie; urgency=medium

  * NuScratch20161212.image
  * gpio-ultrasonicDemo.sb
  * gpio-ultrasonicIntruderAlarm.sb

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 12 Jan 2017 17:28:13 +0000

nuscratch (20161104) jessie; urgency=medium

  * Add i386 build

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 04 Nov 2016 00:55:00 +0000

nuscratch (20161021) jessie; urgency=medium

  * Update VM to NuScratch20161021.image
  * Update squeak to 5.0-201610101924
  * Simplify packaging files

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 27 Oct 2016 14:26:39 +0100

nuscratch (20160915+1) jessie; urgency=medium

  * Squeak 5.0-201608180858
  * Add /etc/security/limits.d/squeak.conf

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 07 Oct 2016 13:22:40 +0100

nuscratch (20160915) jessie; urgency=medium

  * NuScratch20160915.image

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 19 Sep 2016 08:04:44 +0100

nuscratch (20160803) jessie; urgency=medium

  * NuScratch20160803.image
  * Several new gpio demo project files to illustrate the new GPIO tricks
  * Squeak 5.0-201607181657
  * Updated shell scripts

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 09 Aug 2016 03:50:52 +0100

nuscratch (20160502) jessie; urgency=medium

  * NuScratch02052016.image

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 04 May 2016 17:00:59 +0100

nuscratch (20160425) jessie; urgency=medium

  * NuScratch25042016.image
  * Upgrade squeak to 5.0-3663
  * Switch from wiringpi to pigpio
  * Updated examples
  * Added Fritzing examples for the circuits used
  * Added libpigpioultrasonic.so

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 27 Apr 2016 09:05:57 +0100

nuscratch (20160116) jessie; urgency=medium

  * Remove sudo wrapper

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 21 Jan 2016 17:13:33 +0000

nuscratch (20160115) jessie; urgency=medium

  * NuScratch15012016.image
  * Upgrade squeak to 5.0-3553

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 19 Jan 2016 15:05:05 +0000

nuscratch (20151116) jessie; urgency=medium

  * Fixed demo projects

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 16 Nov 2015 16:01:18 +0000

nuscratch (20151112) jessie; urgency=medium

  * NuScratch11112015.image
  * Upgrade squeak to 5.0-3484
  * Updates Japanese translations

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 12 Nov 2015 14:54:49 +0000

nuscratch (20150916) jessie; urgency=low

  * NuScratch15092015.image
  * Upgrade squeak to 5.0-3427
  * Change format to  3.0 (native)

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 16 Sep 2015 18:17:33 +0100

nuscratch (20150505-2) unstable; urgency=low

  * Rename NuScratch150227.image to NuScratch150424.image

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 06 May 2015 13:48:24 +0100

nuscratch (20150505-1) unstable; urgency=low

  * Update to latest release
  * Modified /usr/bin/scratch

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 05 May 2015 16:08:52 +0100

nuscratch (20150114-1) unstable; urgency=low

  * Update to latest release
  * Fixed /usr/bin/scratch that will pass on arguments

 -- Alex Bradbury <asb@asbradbury.org>  Thu, 29 Jan 2015 23:00:13 +0000

nuscratch (0.99b15-1) unstable; urgency=low

  * Update to beta15

 -- Alex Bradbury <asb@asbradbury.org>  Fri, 19 Dec 2014 20:42:01 +0000

nuscratch (0.99b14-1) unstable; urgency=low

  * Update to beta14

 -- Alex Bradbury <asb@asbradbury.org>  Fri, 05 Dec 2014 19:02:54 +0000

nuscratch (0.99b13-1) unstable; urgency=low

  * Initial packaging

 -- Alex Bradbury <asb@asbradbury.org>  Fri, 31 Oct 2014 15:59:17 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=ScratchUltrasonic

override_dh_shlibdeps:
	dh_shlibdeps -XSqueakSSL -- --warnings=0

## nuscratch 20210507

=== ScratchUltrasonic/Makefile ===
#
# Makefile:
#
# build the pigpio ultrasonic support library for Scratch
# requires the SRTED example package from http://abyz.co.uk/rpi/pigpio/code/SRTED.zip
# (included source in this package for simplicity, check occasionally for updates)
	
VERSION=2
DESTDIR?=/
PREFIX?=/usr

DYNAMIC=libpigpioultrasonic.so.$(VERSION)
#DEBUG	= -g -O0
DEBUG	= -O2
CC	= gcc
INCLUDE	= -I./SRTED
DEFS	= -D_GNU_SOURCE
CFLAGS	= $(DEBUG) $(DEFS) -Wformat=2 -Wall -Winline $(INCLUDE) -pipe -fPIC

LIBS    =

###############################################################################

SRC	=	SRTED/SRTED.c ScratchSRTED.c
HEADERS =	SRTED/SRTED.h
OBJ	=	$(SRC:.c=.o)

all:		$(DYNAMIC)

$(DYNAMIC):	$(OBJ)
	$Q echo "[Link (Dynamic)]"
	$Q $(CC) -shared -Wl,-soname,libpigpioultrasonic.so.$(VERSION) -o libpigpioultrasonic.so.$(VERSION) $(OBJ)

.c.o:
	$Q echo [Compile] $<
	$Q $(CC) -c $(CFLAGS) $< -o $@


.PHONY:	clean
clean:
	$Q echo "[Clean]"
	$Q rm -f $(OBJ) $(OBJ_I2C) *~ core tags Makefile.bak libpigpioultrasonic.*

.PHONY:	tags
tags:	$(SRC)
	$Q echo [ctags]
	$Q ctags $(SRC)

.PHONY:	install
install:	$(DYNAMIC)
	$Q echo "[Install Dynamic Lib]"
	$Q install -m 0755 -d							$(DESTDIR)$(PREFIX)/lib
	$Q install -m 0755 libpigpioultrasonic.so.$(VERSION)			$(DESTDIR)$(PREFIX)/lib/libpigpioultrasonic.so.$(VERSION)
	$Q ln -sf libpigpioultrasonic.so.$(VERSION)				$(DESTDIR)$(PREFIX)/lib/libpigpioultrasonic.so

.PHONY:	depend
depend:
	makedepend -Y $(SRC) $(SRC_I2C)

# DO NOT DELETE

=== debian/changelog ===
nuscratch (20210507) buster; urgency=medium

  * Update VM to NuScratch20210213.image
  * Update squeak to 5.0-202101191919
  * Add arm64 support

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 May 2021 13:21:38 +0100

=== debian/control ===
Source: nuscratch
Section: education
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper (>= 10),
 libasound2-dev,
 libcairo2-dev,
 libgl-dev,
 libglvnd-dev,
 libice-dev,
 libpango1.0-dev,
 libpulse-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxrender-dev,
 libpigpiod-if-dev,
 libpigpio-dev
Standards-Version: 4.3.0
Homepage: https://github.com/raspberrypi/scratch

Package: nuscratch
Architecture: armhf arm64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, scratch, libpigpiod-if2-1, pigpiod [armhf arm64]
Description: Scratch running on the Stack (Cog) VM
